# eric4.Plugins.PluginWizardPyRegExp

Module implementing the Python re wizard plugin.

### Classes

PyRegExpWizard | Class implementing the Python re wizard plugin.

### Functions

None

## PyRegExpWizard

Class implementing the Python re wizard plugin.

### Derived from

QObject

### Methods

PyRegExpWizard | Constructor
__callForm | Private method to display a dialog and get the code.
__handle | Private method to handle the wizards action
__initAction | Private method to initialize the action.
__initMenu | Private method to add the actions to the right menu.
activate | Public method to activate this plugin.
deactivate | Public method to deactivate this plugin.

#### PyRegExpWizard (Constructor)

PyRegExpWizard(ui)

Constructor

ui
  reference to the user interface object (UI.UserInterface)

#### PyRegExpWizard.__callForm

__callForm(editor)

Private method to display a dialog and get the code.

editor
  reference to the current editor

Returns:
  the generated code (string)

#### PyRegExpWizard.__handle

__handle()

Private method to handle the wizards action

#### PyRegExpWizard.__initAction

__initAction()

Private method to initialize the action.

#### PyRegExpWizard.__initMenu

__initMenu()

Private method to add the actions to the right menu.

#### PyRegExpWizard.activate

activate()

Public method to activate this plugin.

Returns:
  tuple of None and activation status (boolean)

#### PyRegExpWizard.deactivate

deactivate()

Public method to deactivate this plugin.

Up